import { ElixirPool, Position } from '@envanik/sdk';
import { BigNumber } from 'ethers';
import { ElixirAddLiquidityProps, ElixirLiquidityCollectFeesProps, PositionDetails, UseElixirPositionResults, UseElixirPositionsResults } from '../types';
export declare function useElixirPositionsFromTokenIds(tokenIds: BigNumber[] | undefined): UseElixirPositionsResults;
export declare function useElixirPositionFromTokenId(tokenId: BigNumber | undefined): UseElixirPositionResults;
export declare function useGetUserPositions(): {
    loading: boolean;
    positions: {
        token0: import("../../../../hooks/tokens/constant").TokenReturnType;
        token1: import("../../../../hooks/tokens/constant").TokenReturnType;
        nonce?: BigNumber | undefined;
        tokenId: BigNumber;
        operator?: string | undefined;
        fee: import("@envanik/sdk").FeeAmount;
        tickLower: number;
        tickUpper: number;
        liquidity: BigNumber;
        feeGrowthInside0LastX128?: BigNumber | undefined;
        feeGrowthInside1LastX128?: BigNumber | undefined;
        tokensOwed0?: BigNumber | undefined;
        tokensOwed1?: BigNumber | undefined;
    }[] | undefined;
};
export declare function useDerivedPositionInfo(positionDetails: PositionDetails | undefined): {
    position: Position | undefined;
    pool: ElixirPool | undefined;
};
export declare function useElixirAddLiquidity(): (data: ElixirAddLiquidityProps) => Promise<any>;
export declare function useElixirCollectEarnedFees(): (data: ElixirLiquidityCollectFeesProps) => Promise<any>;
